Summary: The GNU interactive spelling checker program.
Name: ispell
Version: 3.1.20
Release: 15
Packager: Patricia Jung <trish@freiburg.linux.de>
Group: Applications/Text
Source0: ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.gz
Source1: ispell.info
Source2: spell
Source3: hk2-deutsch.tar.gz 
Patch0: ispell-3.1.20-config.patch
Patch1: ispell-3.1.20-german.patch 
Patch2: ispell-3.1-info.patch
Patch3: ispell-3.1.20-termio.patch
Patch4: ispell-3.1.20-mask.patch
Patch5: ispell-3.1.20-strcmp.patch
BuildRoot: /var/tmp/ispell-root
Copyright: GPL

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a text
file for spelling and typographical errors.  When it finds a word that is
not in the dictionary, it will suggest correctly spelled words for the
misspelled word.

You should install ispell if you need a program for spell checking (and who
doesn't...).

%prep
%setup -q -n ispell-3.1
tar xzf $RPM_SOURCE_DIR/hk2-deutsch.tar.gz -C ./languages/deutsch/ '*.txt' '*.aff' '*README'
%patch0 -p1
%patch1 
# patch 1 deleted
%patch2 -p1 -b .makeinfo
%patch3 -p1 -b .termio

%ifarch alpha
%patch4 -p1 -b .mask
%endif

%patch5 -p1 -b .strcmp

echo "Getting prebuilt ispell.info file :-(."
cp $RPM_SOURCE_DIR/ispell.info .

%build

# Make config.sh first
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
mv config.sh.INSTALL config.sh
TMPDIR=/var/tmp PATH=.:$PATH make install

mv $RPM_BUILD_ROOT/usr/info/ispell $RPM_BUILD_ROOT/usr/info/ispell.info
gzip -9nf $RPM_BUILD_ROOT/usr/info/ispell.info

install -m 755 ${RPM_SOURCE_DIR}/spell $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/ispell
/usr/bin/spell
/usr/man/man1/ispell.1
/usr/man/man4/ispell.4
/usr/info/ispell.info.gz
#/usr/lib/emacs/site-lisp/ispell.el
/usr/bin/buildhash
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/munchlist
/usr/bin/findaffix
/usr/bin/tryaffix
/usr/bin/sq
/usr/bin/unsq
/usr/man/man1/sq.1
/usr/man/man1/buildhash.1
/usr/man/man1/munchlist.1
/usr/man/man1/findaffix.1
/usr/man/man1/tryaffix.1
/usr/man/man1/unsq.1
/usr/lib/ispell
/usr/man/man4/english.4

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
